Bug 463260 - (CVE-2008-4326) CVE-2008-4326 phpMyAdmin: XSS in MSIE using NUL byte
CVE-2008-4326 phpMyAdmin: XSS in MSIE using NUL byte
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.phpmyadmin.net/home_page/d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 14:41 EDT by Robert Scheck
Modified: 2008-10-01 14:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 14:17:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-09-22 14:41:39 EDT
Description of problem:
phpMyAdmin < 2.11.9.2 contains a not yet clearly documented security bug:
"Welcome to this second security update for phpMyAdmin 2.11.9. Download from 
http://phpmyadmin.net; details will follow on our website in the Security 
section. Marc Delisle, for the team"

Additional info (http://www.phpmyadmin.net/home_page/downloads.php?relnotes=1):
Fixes for 2.11.9.x:

- bug #2031221 [auth] Links to version number on login screen 
- bug #2032707 [core] PMA does not start if ini_set() is disabled 
- bug #2004915 [bookmarks] Saved queries greater than 1000 chars not displayed
- bug #2037381 [export] Export type "replace" does not work 
- bug #2037375 [export] DROP PROCEDURE needs IF EXISTS 
- bug #2045512 [export] Numbers in Excel export
+ [lang] Norwegian UTF-8 original file remerged
- bug #2074250 [parser] Undefined variable seen_from
- (2.11.9.1)  [security] Code execution vulnerability
- (2.11.9.2)  [security] XSS in MSIE using NUL byte
Comment 1 Fedora Update System 2008-09-22 14:57:46 EDT
phpMyAdmin-2.11.9.2-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/phpMyAdmin-2.11.9.2-1.fc8
Comment 2 Fedora Update System 2008-09-22 14:57:50 EDT
phpMyAdmin-2.11.9.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/phpMyAdmin-2.11.9.2-1.fc9
Comment 3 Fedora Update System 2008-09-24 20:17:35 EDT
phpMyAdmin-2.11.9.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-09-24 20:23:51 EDT
phpMyAdmin-2.11.9.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2008-10-01 14:16:53 EDT
Upstream advisory:
http://www.phpmyadmin.net/home_page/security.php?issue=PMASA-2008-8
Comment 6 Red Hat Product Security 2008-10-01 14:17:57 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-8286
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8335

Note You need to log in before you can comment on or make changes to this bug.